## dde-store 1.2.3+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(dde-store)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CCX_STANDARD 11)
set(CMAKE_CCX_STANDARD_REQUIRED ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(PkgConfig REQUIRED)
find_package(Qt5 REQUIRED Core Widgets Network DBus Gui LinguistTools)
find_package(Dtk REQUIRED Widget Gui)
find_package(PackageKitQt5 REQUIRED)
find_package(AppStreamQt REQUIRED)
find_package(PkgConfig REQUIRED)
include(FindPkgConfig)
include(GNUInstallDirs)

include_directories(
    ${PackageKitQt5_INCLUDE_DIR}
    ${AppStreamQt_INCLUDE_DIRS}
)

file(GLOB TS_FILES ./translations/*.ts)
qt5_create_translation(QM_FILES ${CMAKE_SOURCE_DIR} ${TS_FILES})

file(GLOB SRC
    main.cpp
    mainwindow.cpp
    mainwindow.h
    pages/homepage.cpp
    pages/homepage.h
    pages/itempage.cpp
    pages/itempage.h
    pages/categorypage.cpp
    pages/categorypage.h
    pages/updatespage.cpp
    pages/updatespage.h
    backend/sourcemanager.cpp
    backend/sourcemanager.h
    backend/sources/packagekit/packagekitsource.cpp
    backend/sources/packagekit/packagekitsource.h
    backend/ratingshelper.cpp
    backend/ratingshelper.h
    backend/settings.cpp
    backend/settings.h
    widgets/gallery.cpp
    widgets/gallery.h
    widgets/stars.cpp
    widgets/stars.h
    widgets/list.cpp
    widgets/list.h
    resources/resources.qrc
)

add_executable(${PROJECT_NAME}
    ${SRC}
    ${TS_FILES}
    ${QM_FILES}
)

target_include_directories(${PROJECT_NAME} PUBLIC
    ${PackageKitQt5_INCLUDE_DIR}
    ${AppStreamQt_INCLUDE_DIRS}
)

target_link_libraries(${PROJECT_NAME}
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${DtkGui_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5Network_LIBRARIES}
    ${PackageKitQt5_LIBRARIES}
    AppStreamQt
)

add_subdirectory(backend/sources)

set(CMAKE_INSTALL_PREFIX /usr)

install(TARGETS dde-store DESTINATION bin)
install(FILES ${QM_FILES} DESTINATION share/dde-store/translations)
install(FILES resources/dde-store.desktop DESTINATION share/applications)

=== backend/sources/snap/CMakeLists.txt ===
add_library(snapplugin MODULE snapsource.cpp ../../sourcemanager.h ../../ratingshelper.h)
target_link_libraries(snapplugin Qt5::Core Qt5::Widgets Qt5::Network ${DtkWidget_LIBRARIES} Snapd::Core)
get_target_property(QT_QMAKE_EXECUTABLE Qt5::qmake LOCATION)
execute_process(COMMAND ${QT_QMAKE_EXECUTABLE} -query QT_INSTALL_PLUGINS
    OUTPUT_VARIABLE QT_INSTALL_PLUGINS OUTPUT_STRIP_TRAILING_WHITESPACE
)
install(TARGETS snapplugin DESTINATION ${QT_INSTALL_PLUGINS}/dde-store)
install(FILES dde-store-snapplugin.desktop DESTINATION usr/share/applications)

=== debian/changelog ===
dde-store (1.2.3+dfsg-2) unstable; urgency=medium

  * Source only upload for migration to testing.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Mon, 10 Oct 2022 02:21:34 +0545

dde-store (1.2.3+dfsg-1) unstable; urgency=medium

  *  Initial release (Closes: #1020681).

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Mon, 26 Sep 2022 13:17:34 +0545

=== debian/control ===
Source: dde-store
Section: utils
Priority: optional
Maintainer: Arun Kumar Pariyar <openarungeek@gmail.com>
Build-Depends:
 cmake,
 debhelper-compat (=13),
 libappstreamqt-dev,
 libdtkcore-dev,
 libdtkgui-dev,
 libdtkwidget-dev,
 libpackagekitqt5-dev,
 libsnapd-qt-dev,
 pkg-config,
 qtbase5-dev,
 qttools5-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/dekzi/dde-store
Vcs-Git: https://salsa.debian.org/openarun/dde-store.git
Vcs-Browser: https://salsa.debian.org/openarun/dde-store

Package: dde-store
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: DDE Store for Deepin Desktop Environment
 DDE Store is an app store for DDE built with Deepin Tool Kit (DTK).
 This app store is designed for use with the Deepin Desktop
 Environment and, is built with AppStream and PackageKit.

## dde-store 1.2.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,14 +13,14 @@
 find_package(Qt5 REQUIRED Core Widgets Network DBus Gui LinguistTools)
 find_package(Dtk REQUIRED Widget Gui)
 find_package(PackageKitQt5 REQUIRED)
-find_package(AppStreamQt REQUIRED)
+find_package(AppStreamQt5 1.0 REQUIRED)
 find_package(PkgConfig REQUIRED)
 include(FindPkgConfig)
 include(GNUInstallDirs)
 
 include_directories(
     ${PackageKitQt5_INCLUDE_DIR}
-    ${AppStreamQt_INCLUDE_DIRS}
+    ${AppStreamQt5_INCLUDE_DIRS}
 )
 
 file(GLOB TS_FILES ./translations/*.ts)
@@ -63,7 +63,7 @@
 
 target_include_directories(${PROJECT_NAME} PUBLIC
     ${PackageKitQt5_INCLUDE_DIR}
-    ${AppStreamQt_INCLUDE_DIRS}
+    ${AppStreamQt5_INCLUDE_DIRS}
 )
 
 target_link_libraries(${PROJECT_NAME}
@@ -73,7 +73,7 @@
     ${Qt5Widgets_LIBRARIES}
     ${Qt5Network_LIBRARIES}
     ${PackageKitQt5_LIBRARIES}
-    AppStreamQt
+    AppStreamQt5
 )
 
 add_subdirectory(backend/sources)

=== backend/sources/CMakeLists.txt ===
find_package(Snapd QUIET)
option(BUILD_SNAP "Build with Snap support" "ON")
if (BUILD_SNAP AND Snapd_FOUND)
    add_subdirectory(snap)
endif()

=== backend/sources/snap/CMakeLists.txt ===
--- 
+++ 
@@ -5,4 +5,4 @@
     OUTPUT_VARIABLE QT_INSTALL_PLUGINS OUTPUT_STRIP_TRAILING_WHITESPACE
 )
 install(TARGETS snapplugin DESTINATION ${QT_INSTALL_PLUGINS}/dde-store)
-install(FILES dde-store-snapplugin.desktop DESTINATION usr/share/applications)
+install(FILES dde-store-snapplugin.desktop DESTINATION /usr/share/applications)

=== debian/changelog ===
dde-store (1.2.5-2ubuntu1) questing; urgency=medium

  * Ubuntu delta so we do not auto-sync back Qt5 snap support.

 -- Rik Mills <rikmills@kde.org>  Sat, 24 May 2025 12:57:05 +0100

dde-store (1.2.5-2) unstable; urgency=medium

  * Disable snap support. (Closes: #1104833)
  * Add patch to fix updates nullcheck.

 -- Arun Kumar Pariyar <arun@debian.org>  Tue, 20 May 2025 01:56:20 +0545

dde-store (1.2.5-1) unstable; urgency=medium

  * New upstream release (Closes: #1059237).
  * Drop patches, patched upstream.
  * Update urls upstream/metadata.
  * debian/control:
    + Bump Standards Version to 4.6.2.
    + Replace libappstreamqt-dev to libappstreamqt5-dev.
    + Update my email to debian.org.
  * debian/copyright: Update copyright information.

 -- Arun Kumar Pariyar <arun@debian.org>  Sun, 07 Jan 2024 21:53:52 +0545

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: dde-store
 Section: utils
 Priority: optional
-Maintainer: Arun Kumar Pariyar <openarungeek@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Arun Kumar Pariyar <arun@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (=13),
- libappstreamqt-dev,
+ libappstreamqt5-dev (>= 1.0.0~),
  libdtkcore-dev,
  libdtkgui-dev,
  libdtkwidget-dev,
  libpackagekitqt5-dev,
- libsnapd-qt-dev,
- pkg-config,
+ pkgconf,
  qtbase5-dev,
  qttools5-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://github.com/dekzi/dde-store
+Homepage: https://github.com/ubuntudde/dde-store
 Vcs-Git: https://salsa.debian.org/openarun/dde-store.git
 Vcs-Browser: https://salsa.debian.org/openarun/dde-store

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dde-store-$1.tar.gz%" \
 https://github.com/ubuntudde/dde-store/tags \
 (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate
